Index: /trunk/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1355)
+++ /trunk/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1356)
@@ -2442,5 +2457,5 @@
   for (Int i = 0; i <= numPocLtFoll - 1; i++  )
   {
-    // For each i in the range of 0 to NumPocLtFoll - 1, inclusive, when FollDeltaPocMsbPresentFlag[ i ] is equal to 0, 
+    // For each i in the range of 0 to NumPocLtFoll - 1, inclusive, when FollDeltaPocMsbPresentFlag[ i ] is equal to 0,
     // it is a requirement of bitstream conformance that the following conditions apply:
     if ( follDeltaPocMsbPresentFlag[ i ] == 0  )
@@ -2474,5 +2489,5 @@
         {
           assert(!( pocLtFoll[ i ] == ( pocLtFoll[ j ] & ( maxPicOrderCntLsb - 1 ) ) ) );
-        }          
+        }
       }
 
@@ -2487,6 +2502,6 @@
 
   if ( !annexFModifications )
-  {  
-    // The variable NumPicTotalCurr is derived as specified in clause 7.4.7.2. 
+  {
+    // The variable NumPicTotalCurr is derived as specified in clause 7.4.7.2.
 
     // It is a requirement of bitstream conformance that the following applies to the value of NumPicTotalCurr:
@@ -2494,19 +2509,19 @@
     {
       // -  If the current picture is a BLA or CRA picture, the value of NumPicTotalCurr shall be equal to 0.
-      assert( slice->getNumPicTotalCurr() == 0 ); 
+      assert( slice->getNumPicTotalCurr() == 0 );
     }
     else
     {
-      // -  Otherwise, 
+      // -  Otherwise,
       if ( slice->isInterP() || slice->isInterB() )
       {
         // when the current picture contains a P or B slice, the value of NumPicTotalCurr shall not be equal to 0.
-        assert( slice->getNumPicTotalCurr() != 0 ); 
-      }
-    }
-  }
-    
-  // The RPS of the current picture consists of five RPS lists; RefPicSetStCurrBefore, RefPicSetStCurrAfter, RefPicSetStFoll, 
-  // RefPicSetLtCurr and RefPicSetLtFoll. RefPicSetStCurrBefore, RefPicSetStCurrAfter and RefPicSetStFoll are collectively 
+        assert( slice->getNumPicTotalCurr() != 0 );
+      }
+    }
+  }
+
+  // The RPS of the current picture consists of five RPS lists; RefPicSetStCurrBefore, RefPicSetStCurrAfter, RefPicSetStFoll,
+  // RefPicSetLtCurr and RefPicSetLtFoll. RefPicSetStCurrBefore, RefPicSetStCurrAfter and RefPicSetStFoll are collectively
   // referred to as the short-term RPS. RefPicSetLtCurr and RefPicSetLtFoll are collectively referred to as the long-term RPS.
 
@@ -2516,11 +2531,11 @@
   std::vector<TComPic*>& refPicSetLtCurr       = decRps->m_refPicSetLtCurr      ;
   std::vector<TComPic*>& refPicSetLtFoll       = decRps->m_refPicSetLtFoll      ;
-  
+
   std::vector<TComPic*>** refPicSetsCurr       = decRps->m_refPicSetsCurr       ;
   std::vector<TComPic*>** refPicSetsLt         = decRps->m_refPicSetsLt         ;
   std::vector<TComPic*>** refPicSetsAll        = decRps->m_refPicSetsAll        ;
-  //   NOTE 3 - RefPicSetStCurrBefore, RefPicSetStCurrAfter and RefPicSetLtCurr contain all reference pictures that may be 
+  //   NOTE 3 - RefPicSetStCurrBefore, RefPicSetStCurrAfter and RefPicSetLtCurr contain all reference pictures that may be
   //   used for inter prediction of the current picture and one or more pictures that follow the current picture in decoding order.
-  //   RefPicSetStFoll and RefPicSetLtFoll consist of all reference pictures that are not used for inter prediction of the current 
+  //   RefPicSetStFoll and RefPicSetLtFoll consist of all reference pictures that are not used for inter prediction of the current
   //   picture but may be used in inter prediction for one or more pictures that follow the current picture in decoding order.
 
@@ -2528,16 +2543,16 @@
   // 1.  The following applies:
 
-  TComSubDpb* dpb = m_dpb->getSubDpb( getLayerId(), false );   
+  TComSubDpb* dpb = m_dpb->getSubDpb( getLayerId(), false );
   assert( refPicSetLtCurr.empty() );
-  for( Int i = 0; i < numPocLtCurr; i++ ) 
-  {
-    if( !currDeltaPocMsbPresentFlag[ i ] ) 
-    {    
-      refPicSetLtCurr.push_back( dpb->getPicFromLsb( pocLtCurr[ i ], maxPicOrderCntLsb ) );       
+  for( Int i = 0; i < numPocLtCurr; i++ )
+  {
+    if( !currDeltaPocMsbPresentFlag[ i ] )
+    {
+      refPicSetLtCurr.push_back( dpb->getPicFromLsb( pocLtCurr[ i ], maxPicOrderCntLsb ) );
     }
     else
     {
-      refPicSetLtCurr.push_back(dpb->getPic( pocLtCurr[ i ] ));       
-    }    
+      refPicSetLtCurr.push_back(dpb->getPic( pocLtCurr[ i ] ));
+    }
   }
 
@@ -2551,9 +2566,9 @@
    else
    {
-     refPicSetLtFoll.push_back(dpb->getPic( pocLtFoll[ i ] ));       
+     refPicSetLtFoll.push_back(dpb->getPic( pocLtFoll[ i ] ));
    }
   }
-  
-  // 2.  All reference pictures that are included in RefPicSetLtCurr or RefPicSetLtFoll and have nuh_layer_id equal 
+
+  // 2.  All reference pictures that are included in RefPicSetLtCurr or RefPicSetLtFoll and have nuh_layer_id equal
   //     to currPicLayerId are marked as "used for long-term reference".
   for (Int i = 0; i < numPocLtCurr; i++)
@@ -2561,6 +2576,6 @@
     if ( refPicSetLtCurr[i] != NULL )
     {
-      refPicSetLtCurr[i]->markAsUsedForLongTermReference(); 
-    }    
+      refPicSetLtCurr[i]->markAsUsedForLongTermReference();
+    }
   }
 
@@ -2569,6 +2584,6 @@
     if ( refPicSetLtFoll[i] != NULL )
     {
-      refPicSetLtFoll[i]->markAsUsedForLongTermReference(); 
-    }    
+      refPicSetLtFoll[i]->markAsUsedForLongTermReference();
+    }
   }
 
@@ -2577,5 +2592,5 @@
   for( Int i = 0; i < numPocStCurrBefore; i++ )
   {
-    refPicSetStCurrBefore.push_back(dpb->getShortTermRefPic( pocStCurrBefore[ i ] )); 
+    refPicSetStCurrBefore.push_back(dpb->getShortTermRefPic( pocStCurrBefore[ i ] ));
   }
 
@@ -2583,5 +2598,5 @@
   for( Int i = 0; i < numPocStCurrAfter; i++ )
   {
-    refPicSetStCurrAfter.push_back(dpb->getShortTermRefPic( pocStCurrAfter[ i ] )); 
+    refPicSetStCurrAfter.push_back(dpb->getShortTermRefPic( pocStCurrAfter[ i ] ));
   }
 
@@ -2589,24 +2604,24 @@
   for( Int i = 0; i < numPocStFoll; i++ )
   {
-    refPicSetStFoll.push_back(dpb->getShortTermRefPic( pocStFoll[ i ] )); 
-  }
-  
-  // 4.  All reference pictures in the DPB that are not included in RefPicSetLtCurr, RefPicSetLtFoll, RefPicSetStCurrBefore, 
+    refPicSetStFoll.push_back(dpb->getShortTermRefPic( pocStFoll[ i ] ));
+  }
+
+  // 4.  All reference pictures in the DPB that are not included in RefPicSetLtCurr, RefPicSetLtFoll, RefPicSetStCurrBefore,
   //     RefPicSetStCurrAfter, or RefPicSetStFoll and have nuh_layer_id equal to currPicLayerId are marked as "unused for reference".
-  TComSubDpb picsToMark = (*dpb); 
+  TComSubDpb picsToMark = (*dpb);
   for (Int j = 0; j < 5; j++ )
   {
-    picsToMark.removePics( *refPicSetsAll[j] ); 
-  }  
-  picsToMark.markAllAsUnusedForReference(); 
-  
-  //     NOTE 4 - There may be one or more entries in the RPS lists that are equal to "no reference picture" because 
-  //     the corresponding pictures are not present in the DPB. Entries in RefPicSetStFoll or RefPicSetLtFoll that are equal 
-  //     to "no reference picture" should be ignored. An unintentional picture loss should be inferred for each entry in 
+    picsToMark.removePics( *refPicSetsAll[j] );
+  }
+  picsToMark.markAllAsUnusedForReference();
+
+  //     NOTE 4 - There may be one or more entries in the RPS lists that are equal to "no reference picture" because
+  //     the corresponding pictures are not present in the DPB. Entries in RefPicSetStFoll or RefPicSetLtFoll that are equal
+  //     to "no reference picture" should be ignored. An unintentional picture loss should be inferred for each entry in
   //     RefPicSetStCurrBefore, RefPicSetStCurrAfter, or RefPicSetLtCurr that is equal to "no reference picture".
 
   //     NOTE 5 - A picture cannot be included in more than one of the five RPS lists.
 
-  
+
   // It is a requirement of bitstream conformance that the RPS is restricted as follows:
 
@@ -2614,59 +2629,59 @@
 #if NH_MV_FIX_NO_REF_PICS_CHECK
   if ( !annexFModifications || m_firstPicInLayerDecodedFlag[ m_pcPic->getLayerId() ] )
-  { 
+  {
 #endif
     for (Int j = 0; j < 3; j++ )
     {
-      // -  There shall be no entry in RefPicSetStCurrBefore, RefPicSetStCurrAfter or RefPicSetLtCurr 
+      // -  There shall be no entry in RefPicSetStCurrBefore, RefPicSetStCurrAfter or RefPicSetLtCurr
       //    for which one or more of the following are true:
 
-      std::vector<TComPic*>* currSet = refPicSetsCurr[j]; 
+      std::vector<TComPic*>* currSet = refPicSetsCurr[j];
       for (Int i = 0; i < currSet->size(); i++)
       {
-        TComPic* pic = (*currSet)[i]; 
+        TComPic* pic = (*currSet)[i];
 
         // -  The entry is equal to "no reference picture".
-        assert( ! (pic == NULL ) ); 
+        assert( ! (pic == NULL ) );
 
         // -  The entry is an SLNR picture and has TemporalId equal to that of the current picture.
-        assert( !( pic->isSlnr() && pic->getTemporalId() == m_pcPic->getTemporalId() ) ); 
+        assert( !( pic->isSlnr() && pic->getTemporalId() == m_pcPic->getTemporalId() ) );
 
         // -  The entry is a picture that has TemporalId greater than that of the current picture.
-        assert( !(  pic->getTemporalId() > m_pcPic->getTemporalId() ) ); 
-      }      
+        assert( !(  pic->getTemporalId() > m_pcPic->getTemporalId() ) );
+      }
     }
 #if NH_MV_FIX_NO_REF_PICS_CHECK
   }
 #endif
-  
-  //  -  There shall be no entry in RefPicSetLtCurr or RefPicSetLtFoll for which the 
-  //     difference between the picture order count value of the current picture and the picture order count 
+
+  //  -  There shall be no entry in RefPicSetLtCurr or RefPicSetLtFoll for which the
+  //     difference between the picture order count value of the current picture and the picture order count
   //     value of the entry is greater than or equal to 2^24.
   for (Int j = 0; j < 2; j++ )
-  {    
-    std::vector<TComPic*>* ltSet = refPicSetsLt[j]; 
+  {
+    std::vector<TComPic*>* ltSet = refPicSetsLt[j];
     for (Int i = 0; i < ltSet->size(); i++)
     {
-      TComPic* pic = (*ltSet)[i]; 
+      TComPic* pic = (*ltSet)[i];
       if( pic != NULL )
       {
-        assert(!( abs( m_pcPic->getPOC() - pic->getPOC() ) >= (1 << 24) )); 
-      }
-    }
-  }
-
-  //   -  When the current picture is a temporal sub-layer access (TSA) picture, there shall be no picture 
+        assert(!( abs( m_pcPic->getPOC() - pic->getPOC() ) >= (1 << 24) ));
+      }
+    }
+  }
+
+  //   -  When the current picture is a temporal sub-layer access (TSA) picture, there shall be no picture
   //      included in the RPS with TemporalId greater than or equal to the TemporalId of the current picture.
   if (m_pcPic->isTsa() )
   {
     for (Int j = 0; j < 5; j++ )
-    {    
-      std::vector<TComPic*>* aSet = refPicSetsAll[j]; 
+    {
+      std::vector<TComPic*>* aSet = refPicSetsAll[j];
       for (Int i = 0; i < aSet->size(); i++)
       {
-        TComPic* pic = (*aSet)[i]; 
+        TComPic* pic = (*aSet)[i];
         if( pic != NULL )
         {
-          assert( ! (pic->getTemporalId() >= m_pcPic->getTemporalId() ) ); 
+          assert( ! (pic->getTemporalId() >= m_pcPic->getTemporalId() ) );
         }
       }
@@ -2674,5 +2689,5 @@
   }
 
-  //   -  When the current picture is a step-wise temporal sub-layer access (STSA) picture, 
+  //   -  When the current picture is a step-wise temporal sub-layer access (STSA) picture,
   //      there shall be no picture included in RefPicSetStCurrBefore, RefPicSetStCurrAfter or RefPicSetLtCurr that has
   //      TemporalId equal to that of the current picture.
@@ -2680,12 +2695,12 @@
   {
     for (Int j = 0; j < 3; j++ )
-    {    
-      std::vector<TComPic*>* cSet = refPicSetsCurr[j]; 
+    {
+      std::vector<TComPic*>* cSet = refPicSetsCurr[j];
       for (Int i = 0; i < cSet->size(); i++)
       {
-        TComPic* pic = (*cSet)[i]; 
+        TComPic* pic = (*cSet)[i];
         if( pic != NULL )
         {
-          assert( ! (pic->getTemporalId() == m_pcPic->getTemporalId() ) ); 
+          assert( ! (pic->getTemporalId() == m_pcPic->getTemporalId() ) );
         }
       }
@@ -2700,17 +2715,17 @@
   {
     for (Int j = 0; j < 3; j++ )
-    {    
-      std::vector<TComPic*>* cSet = refPicSetsCurr[j]; 
+    {
+      std::vector<TComPic*>* cSet = refPicSetsCurr[j];
       for (Int i = 0; i < cSet->size(); i++)
       {
-        TComPic* pic = (*cSet)[i]; 
+        TComPic* pic = (*cSet)[i];
         if( pic != NULL )
         {
-          assert( ! (pic->getTemporalId() == m_pcPic->getTemporalId() && pic->getDecodingOrder() < m_prevStsaDecOrder  ) ); 
+          assert( ! (pic->getTemporalId() == m_pcPic->getTemporalId() && pic->getDecodingOrder() < m_prevStsaDecOrder  ) );
         }
       }
     }
   }
-  
+
   //   -  When the current picture is a CRA picture, there shall be no picture included in the RPS that
   //      precedes, in output order or decoding order, any preceding IRAP picture in decoding order (when present).
@@ -2718,19 +2733,19 @@
   {
     for (Int j = 0; j < 5; j++ )
-    {    
-      std::vector<TComPic*>* aSet = refPicSetsAll[j]; 
+    {
+      std::vector<TComPic*>* aSet = refPicSetsAll[j];
       for (Int i = 0; i < aSet->size(); i++)
       {
         // TBD check whether it sufficient to test only the last IRAP
-        TComPic* pic = (*aSet)[i]; 
+        TComPic* pic = (*aSet)[i];
         if( pic != NULL )
-        {        
-          assert( ! (pic->getPOC()           < m_prevIrapPoc           ) );           
-          assert( ! (pic->getDecodingOrder() < m_prevIrapDecodingOrder ) ); 
+        {
+          assert( ! (pic->getPOC()           < m_prevIrapPoc           ) );
+          assert( ! (pic->getDecodingOrder() < m_prevIrapDecodingOrder ) );
         }
       }
     }
   }
-  
+
   Bool isTrailingPicture = ( !m_pcPic->isIrap() ) && ( m_pcPic->getPOC() > m_prevIrapPoc );
   //   -  When the current picture is a trailing picture, there shall be no picture in RefPicSetStCurrBefore,
@@ -2740,12 +2755,12 @@
   {
     for (Int j = 0; j < 3; j++ )
-    {    
-      std::vector<TComPic*>* cSet = refPicSetsCurr[j]; 
+    {
+      std::vector<TComPic*>* cSet = refPicSetsCurr[j];
       for (Int i = 0; i < cSet->size(); i++)
       {
-        TComPic* pic = (*cSet)[i]; 
+        TComPic* pic = (*cSet)[i];
         if( pic != NULL )
         {
-          assert( ! (pic->getIsGeneratedCl833() ) ); 
+          assert( ! (pic->getIsGeneratedCl833() ) );
         }
       }
@@ -2758,14 +2773,14 @@
   {
     for (Int j = 0; j < 5; j++ )
-    {    
-      std::vector<TComPic*>* aSet = refPicSetsAll[j]; 
+    {
+      std::vector<TComPic*>* aSet = refPicSetsAll[j];
       for (Int i = 0; i < aSet->size(); i++)
       {
         // TBD check whether it sufficient to test only the last IRAP
-         TComPic* pic = (*aSet)[i]; 
+         TComPic* pic = (*aSet)[i];
         if( pic != NULL )
-        {         
-          assert( ! (pic->getPOC()           < m_prevIrapPoc           ) ); 
-          assert( ! (pic->getDecodingOrder() < m_prevIrapDecodingOrder ) ); 
+        {
+          assert( ! (pic->getPOC()           < m_prevIrapPoc           ) );
+          assert( ! (pic->getDecodingOrder() < m_prevIrapDecodingOrder ) );
         }
       }
@@ -2778,42 +2793,42 @@
   {
     for (Int j = 0; j < 3; j++ )
-    {    
-      std::vector<TComPic*>* cSet = refPicSetsCurr[j]; 
+    {
+      std::vector<TComPic*>* cSet = refPicSetsCurr[j];
       for (Int i = 0; i < cSet->size(); i++)
-      {        
-        TComPic* pic = (*cSet)[i]; 
+      {
+        TComPic* pic = (*cSet)[i];
         if( pic != NULL )
-        {        
+        {
           // -  A RASL picture
-          assert( ! (pic->isRasl() ) ); 
-          // -  A picture that was generated by the decoding process for generating unavailable reference pictures 
+          assert( ! (pic->isRasl() ) );
+          // -  A picture that was generated by the decoding process for generating unavailable reference pictures
           //    as specified in clause 8.3.3
-          assert( ! (pic->getIsGeneratedCl833() ) ); 
+          assert( ! (pic->getIsGeneratedCl833() ) );
           // -  A picture that precedes the associated IRAP picture in decoding order
-          assert( ! (pic->getDecodingOrder() < m_prevIrapDecodingOrder ) ); 
+          assert( ! (pic->getDecodingOrder() < m_prevIrapDecodingOrder ) );
         }
       }
     }
   }
-  
-  
+
+
   if ( sps->getTemporalIdNestingFlag() )
   {
     // -  When sps_temporal_id_nesting_flag is equal to 1, the following applies:
     //    -  Let tIdA be the value of TemporalId of the current picture picA.
-    TComPic* picA = m_pcPic; 
+    TComPic* picA = m_pcPic;
     Int      tIdA = picA->getTemporalId();
-    //   -  Any picture picB with TemporalId equal to tIdB that is less than or equal to tIdA shall not be included in 
-    //      RefPicSetStCurrBefore, RefPicSetStCurrAfter or RefPicSetLtCurr of picA when there exists a picture picC that 
+    //   -  Any picture picB with TemporalId equal to tIdB that is less than or equal to tIdA shall not be included in
+    //      RefPicSetStCurrBefore, RefPicSetStCurrAfter or RefPicSetLtCurr of picA when there exists a picture picC that
     //      has TemporalId less than tIdB, follows picB in decoding order, and precedes picA in decoding order.
     for (Int j = 0; j < 3; j++ )
-    {    
-      std::vector<TComPic*>* cSet = refPicSetsCurr[j]; 
+    {
+      std::vector<TComPic*>* cSet = refPicSetsCurr[j];
       for (Int i = 0; i < cSet->size(); i++)
       {
-        TComPic* picB = (*cSet)[i]; 
+        TComPic* picB = (*cSet)[i];
         if( picB != NULL )
         {
-          Int tIdB = picB->getTemporalId(); 
+          Int tIdB = picB->getTemporalId();
 
           if (tIdB <= tIdA)
@@ -2821,6 +2836,6 @@
             for ( TComSubDpb::iterator itP = dpb->begin(); itP != dpb->end(); itP++ )
             {
-              TComPic* picC = (*itP); 
-              assert(! ( picC->getTemporalId() < tIdB && picC->getDecodingOrder() > picB->getDecodingOrder() && picC->getDecodingOrder() < picA->getDecodingOrder()  )  ); 
+              TComPic* picC = (*itP);
+              assert(! ( picC->getTemporalId() < tIdB && picC->getDecodingOrder() > picB->getDecodingOrder() && picC->getDecodingOrder() < picA->getDecodingOrder()  )  );
             }
           }
@@ -2828,5 +2843,5 @@
       }
     }
-  }    
+  }
 }
 
@@ -2839,14 +2854,14 @@
 
   // The specifications in clause 8.3.2 apply with the following changes:
-  // -  The references to clauses 7.4.7.2, 8.3.1, 8.3.3 and 8.3.4 are replaced with references to 
+  // -  The references to clauses 7.4.7.2, 8.3.1, 8.3.3 and 8.3.4 are replaced with references to
   //    clauses F.7.4.7.2, F.8.3.1, F.8.3.3 and F.8.3.4, respectively.
 
-  x832DecProcForRefPicSet( true ); 
+  x832DecProcForRefPicSet( true );
 
   // -  The following specifications are added:
   if (m_pcPic->isIrap() && m_pcPic->getLayerId() == m_smallestLayerId )
   {
-    // -  When the current picture is an IRAP picture with nuh_layer_id equal to SmallestLayerId, 
-    //    all reference pictures with any value of nuh_layer_id currently in the DPB (if any) are marked 
+    // -  When the current picture is an IRAP picture with nuh_layer_id equal to SmallestLayerId,
+    //    all reference pictures with any value of nuh_layer_id currently in the DPB (if any) are marked
     //    as "unused for reference" when at least one of the following conditions is true:
 
@@ -2860,5 +2875,5 @@
 
   // -  It is a requirement of bitstream conformance that the RPS is restricted as follows:
-  // -  When the current picture is a CRA picture, there shall be no picture in RefPicSetStCurrBefore, RefPicSetStCurrAfter 
+  // -  When the current picture is a CRA picture, there shall be no picture in RefPicSetStCurrBefore, RefPicSetStCurrAfter
   //    or RefPicSetLtCurr.
 
@@ -2867,8 +2882,8 @@
   if ( m_pcPic->isCra() )
   {
-    for (Int j = 0; j < 3; j++ )   
-    {    
-      std::vector<TComPic*>* cSet = refPicSetsCurr[j]; 
-      assert ( cSet->size() == 0 ); 
+    for (Int j = 0; j < 3; j++ )
+    {
+      std::vector<TComPic*>* cSet = refPicSetsCurr[j];
+      assert ( cSet->size() == 0 );
     }
   }
@@ -2876,12 +2891,12 @@
   // -  The constraints specified in clause 8.3.2 on the value of NumPicTotalCurr are replaced with the following:
   //    -  It is a requirement of bitstream conformance that the following applies to the value of NumPicTotalCurr:
-  Int numPicTotalCurr = m_pcPic->getSlice(0)->getNumPicTotalCurr(); 
-  Int currPicLayerId  = m_pcPic->getLayerId(); 
-  const TComVPS* vps  = m_pcPic->getSlice(0)->getVPS(); 
+  Int numPicTotalCurr = m_pcPic->getSlice(0)->getNumPicTotalCurr();
+  Int currPicLayerId  = m_pcPic->getLayerId();
+  const TComVPS* vps  = m_pcPic->getSlice(0)->getVPS();
 
   if ( ( m_pcPic->isBla() || m_pcPic->isCra() ) && (  (currPicLayerId == 0 ) || ( vps->getNumDirectRefLayers( currPicLayerId ) == 0 ) ) )
-  {   
-    assert( numPicTotalCurr == 0 ); 
-    // -  If the current picture is a BLA or CRA picture and either currPicLayerId is equal to 0 or 
+  {
+    assert( numPicTotalCurr == 0 );
+    // -  If the current picture is a BLA or CRA picture and either currPicLayerId is equal to 0 or
     //     NumDirectRefLayers[ currPicLayerId ] is equal to 0, the value of NumPicTotalCurr shall be equal to 0.
   }
@@ -2892,5 +2907,5 @@
     {
       // -  Otherwise, when the current picture contains a P or B slice, the value of NumPicTotalCurr shall not be equal to 0.
-      assert( numPicTotalCurr != 0 ); 
+      assert( numPicTotalCurr != 0 );
     }
   }
@@ -2904,10 +2919,10 @@
   ////////////////////////////////////////////////////////////////////
 
-  // Outputs of this process are updated lists of inter-layer reference pictures RefPicSetInterLayer0 and RefPicSetInterLayer1 
+  // Outputs of this process are updated lists of inter-layer reference pictures RefPicSetInterLayer0 and RefPicSetInterLayer1
   // and the variables NumActiveRefLayerPics0 and NumActiveRefLayerPics1.
 
-  TComDecodedRps* decRps = m_pcPic->getDecodedRps(); 
-  TComSlice* slice       = m_pcPic->getSlice( 0 ); 
-  const TComVPS* vps     =  slice->getVPS(); 
+  TComDecodedRps* decRps = m_pcPic->getDecodedRps();
+  TComSlice* slice       = m_pcPic->getSlice( 0 );
+  const TComVPS* vps     =  slice->getVPS();
 
   Int&                   numActiveRefLayerPics0 = decRps->m_numActiveRefLayerPics0;
@@ -2915,24 +2930,24 @@
 
   std::vector<TComPic*>& refPicSetInterLayer0   = decRps->m_refPicSetInterLayer0;
-  std::vector<TComPic*>& refPicSetInterLayer1   = decRps->m_refPicSetInterLayer1; 
+  std::vector<TComPic*>& refPicSetInterLayer1   = decRps->m_refPicSetInterLayer1;
 
   // The variable currLayerId is set equal to nuh_layer_id of the current picture.
-  Int currLayerId = getLayerId(); 
-
-  // The lists RefPicSetInterLayer0 and RefPicSetInterLayer1 are first emptied, NumActiveRefLayerPics0 and NumActiveRefLayerPics1 
+  Int currLayerId = getLayerId();
+
+  // The lists RefPicSetInterLayer0 and RefPicSetInterLayer1 are first emptied, NumActiveRefLayerPics0 and NumActiveRefLayerPics1
   // are set equal to 0 and the following applies:
 
-  refPicSetInterLayer0.clear(); 
-  refPicSetInterLayer1.clear(); 
-
-  numActiveRefLayerPics0 = 0; 
-  numActiveRefLayerPics1 = 0; 
-
-  Int viewIdCurrLayerId  = vps->getViewId( currLayerId ); 
+  refPicSetInterLayer0.clear();
+  refPicSetInterLayer1.clear();
+
+  numActiveRefLayerPics0 = 0;
+  numActiveRefLayerPics1 = 0;
+
+  Int viewIdCurrLayerId  = vps->getViewId( currLayerId );
   Int viewId0            = vps->getViewId( 0   );
 
-  for( Int i = 0; i < slice->getNumActiveRefLayerPics(); i++ )   
-  {
-    Int viewIdRefPicLayerIdi = vps->getViewId( slice->getRefPicLayerId( i ) ); 
+  for( Int i = 0; i < slice->getNumActiveRefLayerPics(); i++ )
+  {
+    Int viewIdRefPicLayerIdi = vps->getViewId( slice->getRefPicLayerId( i ) );
 
     Bool refPicSet0Flag =
@@ -2944,5 +2959,5 @@
     {
       // there is a picture picX in the DPB that is in the same access unit as the current picture and has
-      // nuh_layer_id equal to RefPicLayerId[ i ] 
+      // nuh_layer_id equal to RefPicLayerId[ i ]
 
       if ( refPicSet0Flag )
@@ -2960,5 +2975,5 @@
       assert( ! picX->getSlice(0)->getDiscardableFlag() );
 
-      // If the current picture is a RADL picture, there shall be no entry in RefPicSetInterLayer0 or RefPicSetInterLayer1 
+      // If the current picture is a RADL picture, there shall be no entry in RefPicSetInterLayer0 or RefPicSetInterLayer1
       // that is a RASL picture.
       if ( m_pcPic->isRadl() )
@@ -2992,12 +3007,12 @@
   ///////////////////////////////////////////////////////////////////////////////////////
 
-  // This process is invoked once per coded picture when the current picture is a 
+  // This process is invoked once per coded picture when the current picture is a
   // BLA picture or is a CRA picture with NoRaslOutputFlag equal to 1.
 
   assert( m_pcPic->isBla() || (m_pcPic->isCra() && m_pcPic->getNoRaslOutputFlag() ) );
-  TComDecodedRps* decRps = m_pcPic->getDecodedRps(); 
+  TComDecodedRps* decRps = m_pcPic->getDecodedRps();
 
   std::vector<TComPic*>& refPicSetStFoll      = decRps->m_refPicSetStFoll;
-  std::vector<TComPic*>& refPicSetLtFoll      = decRps->m_refPicSetLtFoll; 
+  std::vector<TComPic*>& refPicSetLtFoll      = decRps->m_refPicSetLtFoll;
 
   const std::vector<Int>& pocStFoll             = decRps->m_pocStFoll;
@@ -3005,5 +3020,5 @@
 
   const Int               numPocStFoll          = decRps->m_numPocStFoll;
-  const Int               numPocLtFoll          = decRps->m_numPocLtFoll;   
+  const Int               numPocLtFoll          = decRps->m_numPocLtFoll;
 
   // When this process is invoked, the following applies:
@@ -3012,13 +3027,13 @@
     if ( refPicSetStFoll[ i ] == NULL )
     {
-      //-  For each RefPicSetStFoll[ i ], with i in the range of 0 to NumPocStFoll - 1, inclusive, that is equal 
+      //-  For each RefPicSetStFoll[ i ], with i in the range of 0 to NumPocStFoll - 1, inclusive, that is equal
       //   to "no reference picture", a picture is generated as specified in clause 8.3.3.2, and the following applies:
-      TComPic* genPic = x8332GenOfOneUnavailPic( true );  
+      TComPic* genPic = x8332GenOfOneUnavailPic( true );
 
       // -  The value of PicOrderCntVal for the generated picture is set equal to PocStFoll[ i ].
       genPic->getSlice(0)->setPOC( pocStFoll[ i ] );
 
-      //-  The value of PicOutputFlag for the generated picture is set equal to 0.  
-      genPic->setPicOutputFlag( false ); 
+      //-  The value of PicOutputFlag for the generated picture is set equal to 0.
+      genPic->setPicOutputFlag( false );
 
       // -  The generated picture is marked as "used for short-term reference".
@@ -3029,8 +3044,8 @@
 
       // -  The value of nuh_layer_id for the generated picture is set equal to nuh_layer_id of the current picture.
-      genPic->setLayerId( m_pcPic-> getLayerId() ); 
+      genPic->setLayerId( m_pcPic-> getLayerId() );
 
       // Insert to DPB
-      m_dpb->addNewPic( genPic ); 
+      m_dpb->addNewPic( genPic );
     }
   }
@@ -3040,7 +3055,7 @@
     if ( refPicSetLtFoll[ i ] == NULL )
     {
-      //-  For each RefPicSetLtFoll[ i ], with i in the range of 0 to NumPocLtFoll - 1, inclusive, that is equal to 
+      //-  For each RefPicSetLtFoll[ i ], with i in the range of 0 to NumPocLtFoll - 1, inclusive, that is equal to
       //   "no reference picture", a picture is generated as specified in clause 8.3.3.2, and the following applies:
-      TComPic* genPic = x8332GenOfOneUnavailPic( true );  
+      TComPic* genPic = x8332GenOfOneUnavailPic( true );
 
       //-  The value of PicOrderCntVal for the generated picture is set equal to PocLtFoll[ i ].
@@ -3048,8 +3063,8 @@
 
       //  -  The value of slice_pic_order_cnt_lsb for the generated picture is inferred to be equal to ( PocLtFoll[ i ] & ( MaxPicOrderCntLsb - 1 ) ).
-      genPic->getSlice(0)->setSlicePicOrderCntLsb( ( pocLtFoll[ i ] & ( m_pcPic->getSlice(0)->getSPS()->getMaxPicOrderCntLsb() - 1 ) ) ); 
-
-      //  -  The value of PicOutputFlag for the generated picture is set equal to 0.    
-      genPic->setPicOutputFlag( false ); 
+      genPic->getSlice(0)->setSlicePicOrderCntLsb( ( pocLtFoll[ i ] & ( m_pcPic->getSlice(0)->getSPS()->getMaxPicOrderCntLsb() - 1 ) ) );
+
+      //  -  The value of PicOutputFlag for the generated picture is set equal to 0.
+      genPic->setPicOutputFlag( false );
 
       //  -  The generated picture is marked as "used for long-term reference".
@@ -3060,8 +3075,8 @@
 
       //  -  The value of nuh_layer_id for the generated picture is set equal to nuh_layer_id of the current picture.
-      genPic->setLayerId( m_pcPic-> getLayerId() ); 
+      genPic->setLayerId( m_pcPic-> getLayerId() );
 
       // Insert to DPB
-      m_dpb->addNewPic( genPic ); 
+      m_dpb->addNewPic( genPic );
     }
   }
@@ -3075,8 +3090,8 @@
   ///////////////////////////////////////////////////////////////////////////////////////
 
-  TComPic* genPic = new TComPic; 
-  genPic->create( *m_pcPic->getSlice(0)->getSPS(), *m_pcPic->getSlice(0)->getPPS(), true ); 
-  genPic->setIsGenerated( true );     
-  genPic->setIsGeneratedCl833( calledFromCl8331 ); 
+  TComPic* genPic = new TComPic;
+  genPic->create( *m_pcPic->getSlice(0)->getSPS(), *m_pcPic->getSlice(0)->getPPS(), true );
+  genPic->setIsGenerated( true );
+  genPic->setIsGeneratedCl833( calledFromCl8331 );
   return genPic;
 }
@@ -3086,19 +3101,19 @@
 {
   ///////////////////////////////////////////////////////////////////////////////////////
-  // F.8.1.7 Decoding process for generating unavailable reference pictures for pictures 
+  // F.8.1.7 Decoding process for generating unavailable reference pictures for pictures
   //         first in decoding order within a layer
   ///////////////////////////////////////////////////////////////////////////////////////
 
-  //  This process is invoked for a picture with nuh_layer_id equal to layerId, when FirstPicInLayerDecodedFlag[layerId ] is equal to 0.   
+  //  This process is invoked for a picture with nuh_layer_id equal to layerId, when FirstPicInLayerDecodedFlag[layerId ] is equal to 0.
   assert( !m_firstPicInLayerDecodedFlag[ getLayerId() ] );
 
 
-  TComDecodedRps* decRps = m_pcPic->getDecodedRps(); 
-
-  std::vector<TComPic*>& refPicSetStCurrBefore = decRps->m_refPicSetStCurrBefore; 
+  TComDecodedRps* decRps = m_pcPic->getDecodedRps();
+
+  std::vector<TComPic*>& refPicSetStCurrBefore = decRps->m_refPicSetStCurrBefore;
   std::vector<TComPic*>& refPicSetStCurrAfter  = decRps->m_refPicSetStCurrAfter;
   std::vector<TComPic*>& refPicSetStFoll       = decRps->m_refPicSetStFoll;
-  std::vector<TComPic*>& refPicSetLtCurr       = decRps->m_refPicSetLtCurr; 
-  std::vector<TComPic*>& refPicSetLtFoll       = decRps->m_refPicSetLtFoll; 
+  std::vector<TComPic*>& refPicSetLtCurr       = decRps->m_refPicSetLtCurr;
+  std::vector<TComPic*>& refPicSetLtFoll       = decRps->m_refPicSetLtFoll;
 
 
